Create a company list build
curl --request POST \
--url https://api.instantly.ai/api/v2/supersearch-enrichment/company-lists \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "US SaaS companies hiring engineers",
"provider_id": "theirstack",
"company_source_id": "search_companies",
"filters": {},
"limit": 10000
}
'import requests
url = "https://api.instantly.ai/api/v2/supersearch-enrichment/company-lists"
payload = {
"name": "US SaaS companies hiring engineers",
"provider_id": "theirstack",
"company_source_id": "search_companies",
"filters": {},
"limit": 10000
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: 'US SaaS companies hiring engineers',
provider_id: 'theirstack',
company_source_id: 'search_companies',
filters: {},
limit: 10000
})
};
fetch('https://api.instantly.ai/api/v2/supersearch-enrichment/company-lists', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));HttpResponse<String> response = Unirest.post("https://api.instantly.ai/api/v2/supersearch-enrichment/company-lists")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"name\": \"US SaaS companies hiring engineers\",\n \"provider_id\": \"theirstack\",\n \"company_source_id\": \"search_companies\",\n \"filters\": {},\n \"limit\": 10000\n}")
.asString();<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.instantly.ai/api/v2/supersearch-enrichment/company-lists",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'name' => 'US SaaS companies hiring engineers',
'provider_id' => 'theirstack',
'company_source_id' => 'search_companies',
'filters' => [
],
'limit' => 10000
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.instantly.ai/api/v2/supersearch-enrichment/company-lists"
payload := strings.NewReader("{\n \"name\": \"US SaaS companies hiring engineers\",\n \"provider_id\": \"theirstack\",\n \"company_source_id\": \"search_companies\",\n \"filters\": {},\n \"limit\": 10000\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"id": "018f23b7-92bb-7c64-a3d4-1ba53b8ad971",
"status": "PENDING"
}{
"statusCode": 401,
"error": "Unauthorized",
"message": "Missing Authorization header"
}{
"statusCode": 402,
"error": "Insufficient credits",
"message": "Insufficient credits",
"creditsRequired": 15000,
"creditsAvailable": 250
}{
"statusCode": 404,
"error": "Not Found",
"message": "Resource not found"
}{
"statusCode": 429,
"error": "Too Many Requests",
"message": "Rate limit exceeded"
}CompanyList
Create a company list build
Requires one of the following scopes: supersearch_enrichments:create, supersearch_enrichments:all, all:create, all:all
POST
/
api
/
v2
/
supersearch-enrichment
/
company-lists
Create a company list build
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
Required string length:
1 - 256Example:
"US SaaS companies hiring engineers"
Minimum string length:
1Example:
"theirstack"
Minimum string length:
1Example:
"search_companies"
Required range:
1 <= x <= 65536Example:
10000
⌘I